var NAVTREE =
[
  [ "Crazy Eddie's GUI System", "index.html", [
    [ "Crazy Eddie's GUI System Mk-2: Developer Documentation", "index.html", [
      [ "Documentation Sections", "index.html#main_sec_1", null ]
    ] ],
    [ "Overview of system components", "arch_overview.html", [
      [ "Introduction", "arch_overview.html#arch_overview_intro", null ],
      [ "Low Level Interface Objects", "arch_overview.html#arch_overview_lowlevel", null ],
      [ "System and Manager Objects", "arch_overview.html#arch_overview_sys_and_mgrs", null ],
      [ "Falagard Mappings", "arch_overview.html#arch_overview_falmaps", null ]
    ] ],
    [ "List of authors and contributors", "authors.html", [
      [ "Current CEGUI Team Members", "authors.html#authors_sec_1", null ],
      [ "Retired or Semi-retired CEGUI Team Members", "authors.html#authors_sec_2", null ],
      [ "Main Contributors", "authors.html#authors_sec_4", null ],
      [ "Other Contributors", "authors.html#authors_sec_5", null ],
      [ "Special Thanks", "authors.html#authors_sec_6", null ],
      [ "Have We Missed You?", "authors.html#authors_sec_7", null ]
    ] ],
    [ "Build Options for Crazy Eddie's GUI System", "build_options.html", [
      [ "Overview", "build_options.html#build_options_overview", null ],
      [ "General Options", "build_options.html#build_options_general", [
        [ "CEGUI_HAS_FREETYPE", "build_options.html#build_options_has_freetype", null ],
        [ "CEGUI_HAS_PCRE_REGEX", "build_options.html#build_options_has_pcre", null ],
        [ "CEGUI_HAS_MINIZIP_RESOURCE_PROVIDER", "build_options.html#build_options_has_minizip", null ],
        [ "CEGUI_HAS_DEFAULT_LOGGER", "build_options.html#build_options_has_logger", null ],
        [ "CEGUI_USE_FRIBIDI", "build_options.html#build_options_use_fribidi", null ],
        [ "CEGUI_USE_MINIBIDI", "build_options.html#build_options_use_minibidi", null ],
        [ "CEGUI_USE_GLEW", "build_options.html#build_options_use_glew", null ],
        [ "CEGUI_USE_EPOXY", "build_options.html#build_options_use_epoxy", null ],
        [ "CEGUI_GLFW_VER", "build_options.html#build_options_glfw_ver", null ],
        [ "CEGUI_STRING_CLASS", "build_options.html#build_options_string_class", null ],
        [ "CEGUI_CUSTOM_ALLOCATORS", "build_options.html#build_options_custom_allocators", null ],
        [ "CEGUI_CUSTOM_ALLOCATORS_DEBUG", "build_options.html#build_options_allocators_debug", null ],
        [ "CEGUI_CUSTOM_ALLOCATORS_INCLUDE", "build_options.html#build_options_allocators_header", null ],
        [ "CEGUI_BUILD_STATIC_CONFIGURATION", "build_options.html#build_options_enable_static", null ],
        [ "CEGUI_BUILD_STATIC_FACTORY_MODULE", "build_options.html#build_options_enable_static_factory", null ],
        [ "CEGUI_BUILD_SHARED_LIBS_WITH_STATIC_DEPENDENCIES", "build_options.html#build_options_static_deps", null ],
        [ "CEGUI_BUILD_SUFFIX", "build_options.html#build_options_build_suffix", null ],
        [ "CEGUI_BUILD_TESTS", "build_options.html#build_options_build_tests", null ]
      ] ],
      [ "Renderer Modules", "build_options.html#build_options_renderers", [
        [ "CEGUI_BUILD_RENDERER_OPENGL", "build_options.html#build_options_gl_renderer", null ],
        [ "CEGUI_BUILD_RENDERER_OPENGL3", "build_options.html#build_options_gl3_renderer", null ],
        [ "CEGUI_BUILD_RENDERER_OGRE", "build_options.html#build_options_ogre_renderer", null ],
        [ "CEGUI_BUILD_RENDERER_IRRLICHT", "build_options.html#build_options_irr_renderer", null ],
        [ "CEGUI_BUILD_RENDERER_DIRECTFB", "build_options.html#build_options_dfb_renderer", null ],
        [ "CEGUI_BUILD_RENDERER_DIRECT3D9", "build_options.html#build_options_d3d9_renderer", null ],
        [ "CEGUI_BUILD_RENDERER_DIRECT3D10", "build_options.html#build_options_d3d10_renderer", null ],
        [ "CEGUI_BUILD_RENDERER_DIRECT3D11", "build_options.html#build_options_d3d11_renderer", null ],
        [ "CEGUI_BUILD_RENDERER_NULL", "build_options.html#build_options_null_renderer", null ],
        [ "CEGUI_BUILD_RENDERER_OPENGLES", "build_options.html#build_options_gles1_1_renderer", null ]
      ] ],
      [ "XMLParser Modules", "build_options.html#build_options_xml_parsers", [
        [ "CEGUI_BUILD_XMLPARSER_EXPAT", "build_options.html#build_options_expat_parser", null ],
        [ "CEGUI_BUILD_XMLPARSER_XERCES", "build_options.html#build_options_xerces_parser", null ],
        [ "CEGUI_BUILD_XMLPARSER_LIBXML2", "build_options.html#build_options_libxml_parser", null ],
        [ "CEGUI_BUILD_XMLPARSER_RAPIDXML", "build_options.html#build_options_rapidxml_parser", null ],
        [ "CEGUI_BUILD_XMLPARSER_TINYXML", "build_options.html#build_options_tinyxml_parser", null ],
        [ "CEGUI_OPTION_DEFAULT_XMLPARSER", "build_options.html#build_options_default_parser", null ],
        [ "CEGUI_STATIC_XMLPARSER_MODULE", "build_options.html#build_options_static_parser_lib", null ]
      ] ],
      [ "ImageCodec Modules", "build_options.html#build_options_image_codecs", [
        [ "CEGUI_BUILD_IMAGECODEC_SILLY", "build_options.html#build_options_silly_codec", null ],
        [ "CEGUI_BUILD_IMAGECODEC_DEVIL", "build_options.html#build_options_devil_codec", null ],
        [ "CEGUI_BUILD_IMAGECODEC_FREEIMAGE", "build_options.html#build_options_freeimage_codec", null ],
        [ "CEGUI_BUILD_IMAGECODEC_CORONA", "build_options.html#build_options_corona_codec", null ],
        [ "CEGUI_BUILD_IMAGECODEC_STB", "build_options.html#build_options_stb_codec", null ],
        [ "CEGUI_BUILD_IMAGECODEC_TGA", "build_options.html#build_options_tga_codec", null ],
        [ "CEGUI_BUILD_IMAGECODEC_PVR", "build_options.html#build_options_pvr_codec", null ],
        [ "CEGUI_OPTION_DEFAULT_IMAGECODEC", "build_options.html#build_options_default_codec", null ],
        [ "CEGUI_STATIC_IMAGECODEC_MODULE", "build_options.html#build_options_staic_codec_lib", null ]
      ] ],
      [ "Script Modules", "build_options.html#build_options_scripting", [
        [ "CEGUI_BUILD_LUA_MODULE", "build_options.html#build_options_lua_module", null ],
        [ "CEGUI_BUILD_LUA_GENERATOR", "build_options.html#build_options_lua_generator", null ],
        [ "CEGUI_OPTION_SAFE_LUA_MODULE", "build_options.html#build_options_lua_safe_mode", null ],
        [ "CEGUI_BUILD_PYTHON_MODULES", "build_options.html#build_options_python_modules", null ]
      ] ],
      [ "Sample Framework and Samples", "build_options.html#build_options_samples", [
        [ "CEGUI_SAMPLES_ENABLED", "build_options.html#build_options_samples_enabled", null ],
        [ "CEGUI_SAMPLES_USE_GTK2", "build_options.html#build_options_samples_use_gtk2", null ]
      ] ],
      [ "GNU/Linux Specific", "build_options.html#build_options_unix", [
        [ "CEGUI_INSTALL_WITH_RPATH", "build_options.html#build_options_install_rpath", null ]
      ] ],
      [ "Apple Specific", "build_options.html#build_options_apple", [
        [ "CEGUI_APPLE_DYLIB_INSTALL_PATH", "build_options.html#build_options_dylib_install_path", null ],
        [ "CEGUI_APPLE_SYMLINK_DEPENDENCIES_TO_SAMPLE_APPS", "build_options.html#build_options_symlink_apple_deps", null ],
        [ "CEGUI_APPLE_DYLIB_SET_VERSION_INFO", "build_options.html#build_options_set_dylib_version", null ]
      ] ],
      [ "Microsoft MSVC++ Specific", "build_options.html#build_options_msvc", [
        [ "CEGUI_MSVC_STATIC_RUNTIME", "build_options.html#build_options_msvc_static_runtime", null ]
      ] ]
    ] ],
    [ "Obtaining and Building the Dependencies (Windows and OS X)", "building_deps.html", [
      [ "Introduction", "building_deps.html#building_deps_intro", null ],
      [ "Obtaining the Dependency Package", "building_deps.html#building_deps_download", [
        [ "Downloading an Archive", "building_deps.html#building_deps_download_archive", null ],
        [ "Cloning from Mercurial", "building_deps.html#building_deps_download_clone", null ]
      ] ],
      [ "Compiling the Dependencies Package", "building_deps.html#building_deps_compilation", [
        [ "Configuring the build", "building_deps.html#building_deps_compilation_configuring", null ],
        [ "Compiling the files", "building_deps.html#building_deps_compilation_build", null ],
        [ "Installation", "building_deps.html#compiling_build_install", null ]
      ] ]
    ] ],
    [ "Change Log", "change_log.html", null ],
    [ "Coding Standards in use for CEGUI", "code_standards.html", [
      [ "Files", "code_standards.html#code_standards_sec_1", [
        [ "Naming and Directory Layout", "code_standards.html#code_standards_sec_1_1", null ],
        [ "General Structure and Layout", "code_standards.html#code_standards_sec_1_2", null ]
      ] ],
      [ "Code Style and Layout", "code_standards.html#code_standards_sec_2", [
        [ "Naming Conventions for Types, Variables, Members and Constants", "code_standards.html#code_standards_sec_2_1", null ],
        [ "Code Formatting Style and Other Tips", "code_standards.html#code_standards_sec_2_2", null ],
        [ "astyle - Artistic Style", "code_standards.html#code_standards_sec_2_3", null ]
      ] ]
    ] ],
    [ "Supported Systems and Compilation.", "compiling.html", [
      [ "Supported Systems", "compiling.html#compiling_supportedsystems", null ],
      [ "Dependencies", "compiling.html#compiling_dependencies", null ],
      [ "Building the Source", "compiling.html#compiling_build", [
        [ "Decide which options and dependencies you want", "compiling.html#compiling_build_decide", null ],
        [ "Configuring the build", "compiling.html#compiling_build_configuring", null ],
        [ "Compiling the files", "compiling.html#compiling_build_build", null ]
      ] ]
    ] ],
    [ "Dependency Libraries for Crazy Eddie's GUI System", "dependencies.html", [
      [ "Overview", "dependencies.html#dependencies_overview", [
        [ "Core Functionality", "dependencies.html#dependencies_core", null ],
        [ "Rendering", "dependencies.html#dependencies_rendering", null ],
        [ "XML Parsers", "dependencies.html#dependencies_parsers", null ],
        [ "Image Loading", "dependencies.html#dependencies_codecs", null ],
        [ "Scripting", "dependencies.html#dependencies_scripting", null ],
        [ "Samples Framework", "dependencies.html#dependencies_samples", null ],
        [ "Other", "dependencies.html#dependencies_other", null ]
      ] ]
    ] ],
    [ "Contributing to the development of CEGUI.", "devel.html", null ],
    [ "Obtaining the code", "downloading.html", [
      [ "Stable Release Source Packages", "downloading.html#dl_src_releases", null ],
      [ "Dependency Package for Microsoft Windows and Apple OS X", "downloading.html#dl_deps", null ],
      [ "Mercurial Source Code Repository", "downloading.html#dl_hg", null ]
    ] ],
    [ "Falagard skinning system for CEGUI", "fal_man.html", "fal_man" ],
    [ "CEGUI License (and other licensing considerations)", "licensing.html", "licensing" ],
    [ "Porting from CEGUI 0.6.x to CEGUI 0.7.x", "porting6to7.html", null ],
    [ "Porting from CEGUI 0.7.x to CEGUI 0.8.x", "porting7to8.html", null ],
    [ "stringencoders library License", "stringencoders_lic.html", null ],
    [ "tolua++ Customised Generator Manual", "toluapp_readme.html", null ],
    [ "1 - The Beginners Guide to Initialising CEGUI", "rendering_tutorial.html", [
      [ "Introduction", "rendering_tutorial.html#rendering_tutorial_intro", null ],
      [ "The Easy Way: Renderer 'bootstrapSystem' functions", "rendering_tutorial.html#rendering_tutorial_bootstrap", [
        [ "Old desktop OpenGL 1.2 (Fixed Function)", "rendering_tutorial.html#rendering_tutorial_bootstrap_opengl", null ],
        [ "Desktop OpenGL 3.2 or OpenGL ES 2.0", "rendering_tutorial.html#rendering_tutorial_bootstrap_opengl3", null ],
        [ "Direct3D", "rendering_tutorial.html#rendering_tutorial_bootstrap_d3d", null ],
        [ "Ogre3D", "rendering_tutorial.html#rendering_tutorial_bootstrap_ogre", null ],
        [ "Irrlicht", "rendering_tutorial.html#rendering_tutorial_bootstrap_irrlicht", null ]
      ] ],
      [ "The Hard Way: Manual object creation.", "rendering_tutorial.html#rendering_tutorial_nonbootstrap", [
        [ "Create an instance of a CEGUI::Renderer based object", "rendering_tutorial.html#rendering_tutorial_renderer", [
          [ "Direct3D 9", "rendering_tutorial.html#rendering_tutorial_renderer_d3d9", null ],
          [ "Direct3D 10", "rendering_tutorial.html#rendering_tutorial_renderer_d3d10", null ],
          [ "old Desktop OpenGL 1.2 (Fixed Function)", "rendering_tutorial.html#rendering_tutorial_renderer_ogl", null ],
          [ "Desktop OpenGL 3.2 or OpenGL ES 2.0", "rendering_tutorial.html#rendering_tutorial_renderer_ogl3", null ],
          [ "Ogre3D", "rendering_tutorial.html#rendering_tutorial_renderer_ogre", null ],
          [ "Irrlicht Engine", "rendering_tutorial.html#rendering_tutorial_renderer_irrlicht", null ]
        ] ],
        [ "Create the CEGUI::System object to initialise the system", "rendering_tutorial.html#rendering_tutorial_system", null ]
      ] ],
      [ "Deinitialisation", "rendering_tutorial.html#Deinitialisation", null ],
      [ "Call the function to render the GUI", "rendering_tutorial.html#rendering_tutorial_draw", [
        [ "Direct3D 9", "rendering_tutorial.html#rendering_tutorial_draw_d3d9", null ],
        [ "Direct3D 10", "rendering_tutorial.html#rendering_tutorial_draw_d3d10", null ],
        [ "OpenGL (desktop or ES)", "rendering_tutorial.html#rendering_tutorial_draw_ogl", null ],
        [ "Irrlicht", "rendering_tutorial.html#rendering_tutorial_draw_irrlicht", null ]
      ] ],
      [ "Conclusion", "rendering_tutorial.html#rendering_tutorial_conclusion", null ]
    ] ],
    [ "2 - The Beginners Guide to resource loading with ResourceProviders", "resprov_tutorial.html", [
      [ "What is a ResourceProvider?", "resprov_tutorial.html#resprov_tutorial_intro", null ],
      [ "DefaultResourceProvider Explained", "resprov_tutorial.html#resprov_tutorial_default_rp", [
        [ "Specifying Resource Groups and Directories", "resprov_tutorial.html#resprov_tutorial_default_rp_groups", null ]
      ] ],
      [ "Specifying Default Resource Groups", "resprov_tutorial.html#resprov_tutorial_default_resource_groups", [
        [ "ImageManager Default Resource Group", "resprov_tutorial.html#resprov_tutorial_default_resource_groups_im", null ],
        [ "XercesParser Default Resource Group", "resprov_tutorial.html#resprov_tutorial_default_resource_groups_xc", null ]
      ] ],
      [ "A final, Complete Example", "resprov_tutorial.html#resprov_tutorial_example", null ],
      [ "Conclusion", "resprov_tutorial.html#resprov_tutorial_conclusion", null ]
    ] ],
    [ "3 - The Beginners Guide to Data Files and Defaults Initialisation", "datafile_tutorial.html", [
      [ "Introduction", "datafile_tutorial.html#datafile_tutorial_intro", null ],
      [ "Font, Imageset, LookNFeel, Scheme, XSD?  It's all XML!", "datafile_tutorial.html#datafile_tutorial_allxml", [
        [ "Schema Validation with Xerces-C++", "datafile_tutorial.html#datafile_tutorial_validation", null ]
      ] ],
      [ "The Data Files", "datafile_tutorial.html#datafile_tutorial_files", [
        [ "Imageset", "datafile_tutorial.html#datafile_tutorial_imageset", null ],
        [ "Font", "datafile_tutorial.html#datafile_tutorial_font", null ],
        [ "LookNFeel", "datafile_tutorial.html#datafile_tutorial_looknfeel", null ],
        [ "Scheme", "datafile_tutorial.html#datafile_tutorial_scheme", null ],
        [ "Layout", "datafile_tutorial.html#datafile_tutorial_layout", null ],
        [ "Config", "datafile_tutorial.html#datafile_tutorial_config", null ]
      ] ],
      [ "Loading the Basic Files", "datafile_tutorial.html#datafile_tutorial_load_basics", null ],
      [ "System Defaults Initialisation", "datafile_tutorial.html#datafile_tutorial_setup_defaults", null ],
      [ "Conclusion", "datafile_tutorial.html#datafile_tutorial_conclusion", null ]
    ] ],
    [ "4 - The Beginners Guide to Creating a CEGUI Window", "window_tutorial.html", [
      [ "Introduction to window and widget concepts", "window_tutorial.html#window_tutorial_intro", [
        [ "Every widget is a window", "window_tutorial.html#window_tutorial_window_base", null ],
        [ "Many settings are inherited", "window_tutorial.html#window_tutorial_window_inheritance", null ]
      ] ],
      [ "Creating the windows", "window_tutorial.html#window_tutorial_creating_intro", [
        [ "GUI Creation via C++ code", "window_tutorial.html#window_tutorial_creating_cpp", null ],
        [ "XML layouts", "window_tutorial.html#window_tutorial_creating_xml", null ]
      ] ],
      [ "Conclusion", "window_tutorial.html#window_tutorial_conclusion", null ]
    ] ],
    [ "5 - The Beginners Guide to Injecting Inputs", "input_tutorial.html", [
      [ "Introduction to input for CEGUI", "input_tutorial.html#input_tutorial_intro", [
        [ "First the bad news", "input_tutorial.html#input_tutorial_intro_badnews", null ],
        [ "Get your inputs injected", "input_tutorial.html#input_tutorial_intro_injectors", null ]
      ] ],
      [ "A little more detail: What each injector is used for", "input_tutorial.html#input_tutorial_detail", [
        [ "bool InjectedInputReceiver::injectMouseMove( float delta_x, float delta_y )", "input_tutorial.html#input_tutorial_mousemove", null ],
        [ "bool InjectedInputReceiver::injectMousePosition( float x_pos, float y_pos )", "input_tutorial.html#input_tutorial_mousepos", null ],
        [ "bool InjectedInputReceiver::injectMouseLeaves( void )", "input_tutorial.html#input_tutorial_mouseleaves", null ],
        [ "bool InjectedInputReceiver::injectMouseButtonDown( MouseButton button )", "input_tutorial.html#input_tutorial_mbdown", null ],
        [ "bool InjectedInputReceiver::injectMouseButtonUp( MouseButton button )", "input_tutorial.html#input_tutorial_mbup", null ],
        [ "bool InjectedInputReceiver::injectKeyDown( Key::Scan scan_code )", "input_tutorial.html#input_tutorial_keydown", null ],
        [ "bool InjectedInputReceiver::injectKeyUp( Key::Scan scan_code )", "input_tutorial.html#input_tutorial_keyup", null ],
        [ "bool InjectedInputReceiver::injectChar( utf32 code_point )", "input_tutorial.html#input_tutorial_char", null ],
        [ "bool InjectedInputReceiver::injectMouseWheelChange( float delta )", "input_tutorial.html#input_tutorial_mwheel", null ],
        [ "bool InjectedInputReceiver::injectTimePulse( float timeElapsed )", "input_tutorial.html#input_tutorial_pulse", null ],
        [ "bool InjectedInputReceiver::injectMouseButtonClick( MouseButton button )", "input_tutorial.html#input_tutorial_click", null ],
        [ "bool InjectedInputReceiver::injectMouseButtonDoubleClick( MouseButton button )", "input_tutorial.html#input_tutorial_doubleclick", null ],
        [ "bool InjectedInputReceiver::injectMouseButtonTripleClick( MouseButton button )", "input_tutorial.html#input_tutorial_tripleclick", null ]
      ] ],
      [ "Conclusion", "input_tutorial.html#input_tutorial_conclusion", null ]
    ] ],
    [ "Animation XML files.", "xml_animation.html", [
      [ "Animation XML Element List:", "xml_animation.html#xml_animation_contents", null ],
      [ "Overview", "xml_animation.html#xml_animation_overview", null ],
      [ "<Affector> Element", "xml_animation.html#xml_animation_affector", null ],
      [ "<AnimationDefinition> Element", "xml_animation.html#xml_animation_animationdefinition", null ],
      [ "<Animations> Element", "xml_animation.html#xml_animation_animations", null ],
      [ "<KeyFrame> Element", "xml_animation.html#xml_animation_keyframe", null ],
      [ "<Subscription> Element", "xml_animation.html#xml_animation_subscription", null ]
    ] ],
    [ "CEGUI Configuration XML files.", "xml_config.html", [
      [ "Config Element List:", "xml_config.html#xml_config_contents", null ],
      [ "Overview", "xml_config.html#xml_config_overview", null ],
      [ "<CEGUIConfig>", "xml_config.html#xml_config_ceguiconfig", null ],
      [ "<Logging>", "xml_config.html#xml_config_logging", null ],
      [ "<AutoLoad>", "xml_config.html#xml_config_autoload", null ],
      [ "<ResourceDirectory>", "xml_config.html#xml_config_resourcedirectory", null ],
      [ "<DefaultResourceGroup>", "xml_config.html#xml_config_defaultresourcegroup", null ],
      [ "<Scripting>", "xml_config.html#xml_config_scripting", null ],
      [ "<DefaultXMLParser>", "xml_config.html#xml_config_xmlparser", null ],
      [ "<DefaultImageCodec>", "xml_config.html#xml_config_imagecodec", null ],
      [ "<DefaultFont>", "xml_config.html#xml_config_font", null ],
      [ "<DefaultMouseCursor>", "xml_config.html#xml_config_mousecursor", null ],
      [ "<DefaultTooltip>", "xml_config.html#xml_config_tooltip", null ],
      [ "<DefaultGUISheet>", "xml_config.html#xml_config_guisheet", null ]
    ] ],
    [ "Font XML files.", "xml_font.html", [
      [ "Overview", "xml_font.html#xml_font_overview", null ],
      [ "<Font> Element", "xml_font.html#xml_font_font", null ],
      [ "<Mapping> Element", "xml_font.html#xml_font_mapping", null ]
    ] ],
    [ "Imageset XML files.", "xml_imageset.html", [
      [ "Overview", "xml_imageset.html#xml_imageset_overview", null ],
      [ "<Imageset> Element", "xml_imageset.html#xml_imageset_imageset", null ],
      [ "<Image> Element", "xml_imageset.html#xml_imageset_image", null ]
    ] ],
    [ "Layout XML files.", "xml_layout.html", [
      [ "Layout Element List:", "xml_layout.html#xml_layout_contents", null ],
      [ "Overview", "xml_layout.html#xml_layout_overview", null ],
      [ "<GUILayout> Element", "xml_layout.html#xml_layout_guilayout", null ],
      [ "<Window> Element", "xml_layout.html#xml_layout_window", null ],
      [ "<Property> Element", "xml_layout.html#xml_layout_property", null ],
      [ "<Event> Element", "xml_layout.html#xml_layout_event", null ],
      [ "<LayoutImport> Element", "xml_layout.html#xml_layout_layoutimport", null ],
      [ "<AutoWindow> Element", "xml_layout.html#xml_layout_autowindow", null ]
    ] ],
    [ "Scheme XML files.", "xml_scheme.html", [
      [ "Scheme Element List:", "xml_scheme.html#xml_scheme_contents", null ],
      [ "Overview", "xml_scheme.html#xml_scheme_overview", null ],
      [ "<GUIScheme> Element", "xml_scheme.html#xml_scheme_guischeme", null ],
      [ "<FalagardMapping> Element", "xml_scheme.html#xml_scheme_falagardmapping", null ],
      [ "<Font> Element", "xml_scheme.html#xml_scheme_font", null ],
      [ "<Imageset> Element", "xml_scheme.html#xml_scheme_imageset", null ],
      [ "<ImagesetFromImage> Element", "xml_scheme.html#xml_scheme_imagesetfromimage", null ],
      [ "<LookNFeel> Element", "xml_scheme.html#xml_scheme_looknfeel", null ],
      [ "<WindowAlias> Element", "xml_scheme.html#xml_scheme_windowalias", null ],
      [ "<WindowFactory> Element", "xml_scheme.html#xml_scheme_windowfactory", null ],
      [ "<WindowRendererFactory> Element", "xml_scheme.html#xml_scheme_windowrendererfactory", null ],
      [ "<WindowRendererSet> Element", "xml_scheme.html#xml_scheme_windowrendererset", null ],
      [ "<WindowSet> Element", "xml_scheme.html#xml_scheme_windowset", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Namespaces", null, [
      [ "Namespace List", "namespaces.html", "namespaces" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", null ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", null ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", null, [
      [ "File List", "files.html", "files" ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
".html",
"PropertyLinkDefinitionColourRect_8pypp_8hpp_source.html",
"build_options.html#build_options_unix",
"cegui_2include_2CEGUI_2WindowRendererSets_2Core_2ItemListbox_8h_source.html",
"classCEGUI_1_1Animation.html#a555d95af529eeaf41ee643ace11e4ab8a0486e5936627042721546278171380a8",
"classCEGUI_1_1Animation__xmlHandler.html#a3636e1877982197b3a0e7a12066e0adc",
"classCEGUI_1_1ChainedXMLHandler.html#a1556d14707cdefa4844a5f6e11e426d5",
"classCEGUI_1_1ColourPickerControls.html#a3e1a35a0bbb0abef9e32bd4d72d90704",
"classCEGUI_1_1ColourRect.html#a526f74923f362047ff352046d26a8214",
"classCEGUI_1_1Combobox.html#ae9dd03c3b7445fa291a11932c303c8b8",
"classCEGUI_1_1DefaultLogger.html#a1e17bc03469879f17db977e9fd930f9d",
"classCEGUI_1_1Direct3D10TextureTarget.html#a1f0b49c78d08e7eb1b16b25904435920",
"classCEGUI_1_1Direct3D9RenderTarget.html#abdf400965ebf60e0b8a4f8c9d206ca8a",
"classCEGUI_1_1DragContainer.html#a35f094167a73a5e357a95eb7cfcba39a",
"classCEGUI_1_1EditboxWindowRenderer.html#a5526ca88fef26e364db0e2c538c3fbe4",
"classCEGUI_1_1EventAction.html#aaa5063e0f5df62eb3c1d03b69cbbc581",
"classCEGUI_1_1FalagardEditbox.html#a3180d64052cb94b62513e95911eeafb9",
"classCEGUI_1_1FalagardScrollbar.html#a604b289cdd76a14ab2df3d5fcd6eb474",
"classCEGUI_1_1FalagardXMLHelper_3_01DimensionType_01_4.html#a8cdc067c14d6ee1efeb94838bd4a982c",
"classCEGUI_1_1Font.html#a28c1e8a5f868df284545633649e48d2a",
"classCEGUI_1_1FormattingSetting.html#a99ac553104c3d50f7b0d229d86cedb21",
"classCEGUI_1_1FrameWindow.html#af99ffe476ec34d4799ab104ba1ad034caa98bf4265a07979ae8ec4c581d01fb95",
"classCEGUI_1_1GUIContext.html#ac86e690f6ea842135783d04e637c5f57",
"classCEGUI_1_1HSV__Colour.html#ae6d90655650b70e6b97e05c729e2cb4a",
"classCEGUI_1_1ImagerySection.html#a255d03dd9760057899b1bede9956f7f4",
"classCEGUI_1_1IrrlichtImageCodec.html#a5b15ce1fbb53bf042be445cf519b8cd2",
"classCEGUI_1_1IrrlichtWindowTarget.html#a844dc1f1491b43d5e138eb143fb76d6d",
"classCEGUI_1_1KeyFrame.html#a629d40704bbfacd39e610ef58ec0938a",
"classCEGUI_1_1ListHeader.html#a49751309f474b71ac37a136d2a7777ab",
"classCEGUI_1_1Listbox.html#a2d3f7c33140f8dbbaa8b6f4f4e80cd28",
"classCEGUI_1_1Logger.html#a90c67322f8deca350d99a46c16a5d1ce",
"classCEGUI_1_1MinizipResourceProvider.html#a484ea2129c877a5a7405ad2281984e80",
"classCEGUI_1_1MultiColumnList.html#a7401570f1f4d2060a3b7075d0f7aae89",
"classCEGUI_1_1MultiLineEditbox.html#a8d03cf382d03a17709af7f352d899513",
"classCEGUI_1_1NullGeometryBuffer.html#a0563addcc2ae3c2c01c79394c7e73be0",
"classCEGUI_1_1OgreGeometryBuffer.html#a2433edcda2c2e157520561e94b871ba3",
"classCEGUI_1_1OgreTexture.html#a4d30c2f888a4a87cac97a1d3368857ed",
"classCEGUI_1_1OpenGLApplePBTextureTarget.html#aaaa86262206dd3ada8697ba919349165",
"classCEGUI_1_1OpenGLGeometryBufferBase.html#a35bc72f1783d5657cccbca44905960d0",
"classCEGUI_1_1OpenGLRendererBase.html#ab7b639a09e3416303831f840dcb9a26a",
"classCEGUI_1_1PixmapFont.html#a1fe12778e09bd42469f363fd1b19126f",
"classCEGUI_1_1PropertyHelper_3_01AutoScaledMode_01_4.html#a067f2edb2e67931d9187b4617f8e43f6",
"classCEGUI_1_1PropertyHelper_3_01Spinner_1_1TextInputMode_01_4.html#adb56a6199ab8bbf74065421cdbb8ceba",
"classCEGUI_1_1PropertyHelper_3_01double_01_4.html#a1674abfa0381af183d0928b20601d0f3",
"classCEGUI_1_1PushButton.html#a7f7d507f7f30bc5c89c8d2b355416e87",
"classCEGUI_1_1RegexMatcher.html#a359820a59e861b8ace30f4078823b24aa96a4bab526d74bb310da72595ae20b2a",
"classCEGUI_1_1RenderedStringTextComponent.html#aa0462b7e3acc5c1cdc7b962bb3294bd7",
"classCEGUI_1_1ResourceProvider.html",
"classCEGUI_1_1ScrollablePane.html#a7302b29ef82459f524fc75f4a8c20cb1",
"classCEGUI_1_1ScrolledItemListBase.html#a55a16ca96956e2987116874733864d81",
"classCEGUI_1_1Spinner.html#a0d980ab84220c4f8f185e8bca76117cf",
"classCEGUI_1_1String.html#a5b514f1a4c791771af0dbdb1a89f9967",
"classCEGUI_1_1String_1_1const__iterator.html#a976c2845dad8ee9cb6fe606a13015500",
"classCEGUI_1_1SystemKeys.html#a694366933ec945af199121e6ebd7ef34a75e1da0521c84c2ba77ce69680fee20e",
"classCEGUI_1_1TextComponent.html#a9c7d6224b6a37de2068135d29f9d5c6b",
"classCEGUI_1_1Tooltip.html#a0eeaec310565f6898bfb3c062c5979aa",
"classCEGUI_1_1Tree.html#a606f6f49b1eeb739a5f97ea06aefe68d",
"classCEGUI_1_1TypedProperty.html#a8409f108653209705713f54fe0dc77a3",
"classCEGUI_1_1WidgetComponent.html#ab12acf329e148b2ff3c3e374098aee60",
"classCEGUI_1_1WidgetLookManager.html#a5efa9d4a5fc37f24a7fcb7ad819d4124",
"classCEGUI_1_1Window.html#a49e6160c647b8357a4afd4a9f4c9bb61",
"classCEGUI_1_1Window.html#aa3c1cfa84154c7b43b916aad5d4df6dd",
"classCEGUI_1_1WindowFactory.html#a0f6fd5ad1416786a18e46555a3da9ff6",
"classCEGUI_1_1XMLAttributes.html#abb650b0dc8c1eb3622c3318197263d3f",
"classCEGuiDemoFrameListener.html#abec044920fafe08e574287bb3790012d",
"classGameMenuDemo.html#a0d7b467e69c7a327c59c5276ff00718c",
"classPythonEventSubscription.html#a65f70a93a3170f407e8ef1a3200b3bc9",
"classWidgetDemo.html#a91a8589aa47e4da667e27c5bef90d1f2",
"classboost_1_1python_1_1indexing_1_1iterator__range.html#af890c0db4b6c8694e7e265eccffebd81",
"debian_2tmp_2usr_2include_2cegui-0_88_87_2CEGUI_2RenderEffect_8h_source.html",
"fal_baseclass_ref.html#fal_baseclass_ref_sec_23",
"fal_enum_ref.html#fal_enum_ref_sec_9",
"registry__utils_8hpp_source.html",
"structButtonBase__wrapper.html#a8686cc9352da3844e9f8e4716ba696cf",
"structCEGUI_1_1Key.html#ad1aef89c42b5c3cb297e8c5353c1ca5ba0a2886be5322c2ad5ff8f792d2ad20bd",
"structCEGUI_1_1Key.html#ad1aef89c42b5c3cb297e8c5353c1ca5ba630c117ecd2596534ee924aa182762e6",
"structCEGUI_1_1Key.html#ad1aef89c42b5c3cb297e8c5353c1ca5bae59b53ca2eae24048acf2bea8009f599",
"structCEGUI_1_1TplProperty_1_1GetterFunctor_1_1EnsurePlain.html#a661401b9b9a857fdfba79c97ef9a4b7b",
"structComboDropList__wrapper.html#ad7f1a596bdea822794049f2880e51f59",
"structCombobox__wrapper.html#abd35e0da6fdfd242106545b07ae391a3",
"structConstVectorIterator__less____std__scope__vector__less____CEGUI__scope__FrameComponent____greater______greater____wrapper.html#adc5b204dfa1d189be2d67d3398aa2b05",
"structDefaultWindow__wrapper.html#ae5577ec6439fdfa07502b7a3aec8402f",
"structDragContainer__wrapper.html#ae47aadbad5656ef2fccbbacd43f7ca01",
"structEditbox__wrapper.html#adc1eaaa229df41807670ee9186970fe1",
"structFalagardPropertyBase__less____CEGUI__scope__HorizontalFormatting____greater____wrapper.html#ac9db9e7bb8ec99cad2dd0f7879cf47d9",
"structFalagardPropertyBase__less____CEGUI__scope__UDim____greater____wrapper.html#a4838cd5008992034c7174d6993b6058d",
"structFalagardPropertyBase__less____unsigned__int____greater____wrapper.html#ac0b390652ba5899c28d787b249a7d44c",
"structFrameWindow__wrapper.html#ab43bda16ff0e7256a7303306f9b79aa1",
"structGridLayoutContainer__wrapper.html#a2d55c48f9b10e1033105decc406e03c7",
"structGroupBox__wrapper.html#a2c5665d48d8c986ca4e334034e994e16",
"structHorizontalLayoutContainer__wrapper.html#a3585353c332d9851ebcb08872691f0e3",
"structImageryComponent__wrapper.html#a0f6315e3da9621c3c03e403229be0435",
"structItemListBase__wrapper.html#a01dc711b3ecef5091f0f3d739397a108",
"structItemListbox__wrapper.html#a04d3386164431bce855b22ed77cc4963",
"structItemListbox__wrapper.html#afdb593932ebefbc8b60fc8788f22f2e9",
"structLayoutSetupFixture.html#ae57c7c20763e2e7c4afbb3d711d35bf4",
"structListHeaderSegment__wrapper.html#af5f24f9b330b17fc40158f1e3363656a",
"structListHeader__wrapper.html#af3a23cc867cc993616e657aa52040665",
"structListbox__wrapper.html#ace67573d4e0a19bc05704d1fa63f7e2e",
"structMenuBase__wrapper.html#ad92fc462e85a1c1ab1c55269924746cf",
"structMenuItem__wrapper.html#aded78886b00f21976fa5910e7a9f4da5",
"structMenubar__wrapper.html#ade2a8491d67b317974dc68297eb2e9ae",
"structMultiColumnList__wrapper.html#ac642d4862b175b215cc447cef5ea1de7",
"structMultiLineEditbox__wrapper.html#ab86f14d243dce2e826363572fac7a3d3",
"structOpenGL3Renderer__wrapper.html",
"structPopupMenu__wrapper.html#a3b4bbc3d21c287890f350c0bef973d3b",
"structProgressBar__wrapper.html#a310fc95243e4e715bac3f7e8d48f542b",
"structPropertyDefinition__less____CEGUI__scope__Colour____greater____wrapper.html#ac13815c9d8a8fff4c31af2eb164698a4",
"structPropertyDefinition__less____CEGUI__scope__Size__less____float____greater______greater____wrapper.html#a1150519e16b7de766fa828d0063db6dc",
"structPropertyDefinition__less____CEGUI__scope__VerticalFormatting____greater____wrapper.html#a6bb012f608e5a1079f9a260196ec894c",
"structPropertyLinkDefinition__less____CEGUI__scope__Colour____greater____wrapper.html#a4d9b3082877108d699243e07f2417a13",
"structPropertyLinkDefinition__less____CEGUI__scope__Rect__less____float____greater______greater____wrapper.html#a34de8871a192a9b82e1fbaf536364d0f",
"structPropertyLinkDefinition__less____CEGUI__scope__Vector2__less____float____greater______greater____wrapper.html#a39d5103ecc8be5b4f108ace04d43bdce",
"structProperty__wrapper.html#a4d3a85d87369e56f2a6ffbb731998412",
"structRadioButton__wrapper.html#a03ad22bca24c006cb40261605213359f",
"structRenderTarget__wrapper.html",
"structScrollablePane__wrapper.html#a164f49297906b6af731d87981ffdcab7",
"structScrollbar__wrapper.html#a1f46d8457b8af56b75042c5e32e565f0",
"structScrolledContainer__wrapper.html#a1f2bf4cfd0403192235c07b73e62e25d",
"structScrolledItemListBase__wrapper.html#a27588ced6d3efb3446a5c631c1802f3f",
"structSequentialLayoutContainer__wrapper.html#a2c4c35f967a2e4c9b1a7c44a4709e363",
"structSlider__wrapper.html#a2252acd9b2bc4d1126507b1b4812d8d3",
"structSpinner__wrapper.html#a34185936933f926f7242fdbeaa60bf07",
"structTabButton__wrapper.html#a20fde4c2f9f20d2406edf6e4c26894c5",
"structTabControl__wrapper.html#a36c278890d3d924d973e14d5b3d1ce0f",
"structThumb__wrapper.html#a0879b65971f56249eddc0d3bc80fbcb9",
"structTitlebar__wrapper.html#a1263a3a58be0b354837913855ad95099",
"structToggleButton__wrapper.html#a31bf1b7b15d06bde712e10829bbd3029",
"structTooltip__wrapper.html#a30dae967d78e519a3f044f5855357cf1",
"structTree__wrapper.html#a2f1930acaa846ff7e279c671c255d787",
"structTypedProperty__less____CEGUI__scope__Colour____greater____wrapper.html#a0365ebf9ab440524f9ac22adf32b7950",
"structTypedProperty__less____CEGUI__scope__UBox____greater____wrapper.html#abc05e48245c74ac7862e5d6814e90fb4",
"structVerticalLayoutContainer__wrapper.html#a0ce650daab3a43d5abc9940c602c2935",
"structWidgetDim__wrapper.html#aad274455d2a0d1216dd0e91917f6d4b9",
"structWindow__wrapper.html#adc3e99c0086988b43ea4c572c87aa078",
"structboost_1_1python_1_1indexing_1_1value__traits_3_01CEGUI_1_1UDim_01_4.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';